package com.pj.project4sp.startup;

import com.pj.current.config.SystemObject;
import com.pj.face.brand.FaceBrand;
import com.pj.face.config.FaceEngineConfig;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
public class StartUpInit implements CommandLineRunner {

    @Override
    public void run(String... args) throws Exception {
        String systemSetting=SystemObject.config.getFaceType();
        String domain=SystemObject.config.getDomain();
        String type=FaceBrand.ARCSOFT.getType();
        if (type.equals(systemSetting)) {
            FaceEngineConfig.initFaceEngine();
        }
    }
}
